%define module	networkx
%define name	python-%{module}
%define version	1.7
%define release	%mkrel 3

Summary: 	Python package for the study of complex networks
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://pypi.python.org/packages/source/n/networkx/%{module}-%{version}.tar.gz
License: 	BSD
Group: 	 	Development/Python
Url: 	 	https://networkx.lanl.gov/
BuildArch: 	noarch
Requires: 	python-pygraphviz
Requires: 	python-matplotlib >= 0.73.1
Suggests:	python-pyparsing
Suggests:	python-numpy, python-scipy, python-yaml
BuildRequires: 	python-setuptools, python-sphinx, python-matplotlib
BuildRequires:  python-devel

%description
NetworkX (NX) is a Python package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

Features:
* Includes standard graph-theoretic and statistical physics functions
* Easy exchange of network algorithms between applications, disciplines, 
  and platforms
* Includes many classic graphs and synthetic networks
* Nodes and edges can be "anything" (e.g. time-series, text, images, 
  XML records)
* Exploits existing code from high-quality legacy software in C, C++, 
  Fortran, etc.
* Open source (encourages community input)
* Unit-tested

%prep
%setup -q -n %{module}-%{version}

%install
PYTHONDONTWRITEBYTECODE= python setup.py install --root=%{buildroot} --record=FILE_LIST
pushd doc
export PYTHONPATH=`dir -d ../build/lib*`
make html
popd

%files -f FILE_LIST
%doc examples/ doc/build/html


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.7-3.mga3
+ Revision: 379160
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.7-2.mga3
+ Revision: 324753
- rebuild for Mga3 Beta1

* Sat Aug 25 2012 kamil <kamil> 1.7-1.mga3
+ Revision: 283806
- new version 1.7

* Wed Jul 04 2012 kamil <kamil> 1.6-1.mga3
+ Revision: 267115
- adapt .spec for Mageia
- imported package python-networkx

